Subject: Multiple I2C busses on PPC405

From: Tolunay Orkun <[email-masked]>
Date: Fri, 12 Aug 2005 17:37:01 -0500

I have a working embedded linux on Cogent CSB472 board (PPC405GP) 
currently based on off 2.4.31. We are already using the I2C bus on 
PowerPC using hardware I2C driver (IBM IIC I2C Interface) at Fast 
(400khz) mode.

We need to add support for yet another (slow) I2C bus with PPC405 being 
the master and I'm looking at implementing bit bang interface using GPIO 
pins.

What is the best way to get this going? I am looking at modifying the 
bit bang driver (PPC_405_I2C_Algorithm?) for the I/O pins I'll use. 
Anyone has done something similar. I appreciate all the advice I can get.

Best Regards,
Tolunay